/* ON LOAD ****************************************/
$(document).ready(function () {

	// SLICK SLIDER
	if ($(window).width() < 768) {

		$('.slider-for').slick({
			slidesToShow: 1,
			slidesToScroll: 1,
			arrows: false,
			mobileFirst: true,
			fade: true,
			asNavFor: '.slider-nav'
		});

	}

	$('.slider-nav').slick({
		slidesToShow: 1,
		slidesToScroll: 1,
		asNavFor: '.slider-for',
		autoplay: false,
		mobileFirst: true,
		responsive: [
			{
				breakpoint: 768,
				settings: "unslick"
			}
		]
	});

	// DATA VIDEO - NO SLIDER EN DESKTOP 
	$(".video-open").click(function (e) {
		// e.preventDefault();
		var target = $(this).find('.ancla').attr('data-video');
		//console.log(target);	   

		$('.videos-target .video-box').each(function () {
			//console.log($(this));
			if (target == $(this).attr('id')) {
				$(this).addClass('active')
			} else {
				$(this).removeClass('active')
			}

		})

		$('.videos-target .video-box video').each(function () {
			$(this).get(0).pause();
		});


		if (!$(this).hasClass("active")) {
			$(this).addClass("active");
			$(this).siblings().removeClass('active');
		}
	});

	$('.videos-target .video-box .play-video-icon').click(function () {
		var parent = $(this).parent();

		var video = parent.find('video').get(0);
		video.play();

		$(this).addClass('hide');
	});

	$('.video-single').click(function (e) {
		if ($(this).hasClass('playing')){
			$(this).find('video').get(0).pause();
			$(this).removeClass('playing');
		}else{
			$(this).find('video').get(0).play();
			$(this).addClass('playing');
		}
		
	});
});






